namespace ProjetDotNet
{

    public class DoubleBufferedPanel : System.Windows.Forms.Panel
    {
        public DoubleBufferedPanel()
        {
            SetStyle(System.Windows.Forms.ControlStyles.AllPaintingInWmPaint, true);
            SetStyle(System.Windows.Forms.ControlStyles.OptimizedDoubleBuffer, true);
            UpdateStyles();
        }
    }

    partial class FenetreDessin
    {
        /// <summary>
        /// Variable nécessaire au concepteur.
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary>
        /// Nettoyage des ressources utilisées.
        /// </summary>
        /// <param name="disposing">true si les ressources managées doivent être supprimées ; sinon, false.</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        #region Code généré par le Concepteur Windows Form

        /// <summary>
        /// Méthode requise pour la prise en charge du concepteur - ne modifiez pas
        /// le contenu de cette méthode avec l'éditeur de code.
        /// </summary>
        private void InitializeComponent()
        {
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(FenetreDessin));
            this.menuStrip1 = new System.Windows.Forms.MenuStrip();
            this.fichierToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.nouveauToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.editionToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.sauvegarderToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.chrargerToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.statusStrip = new System.Windows.Forms.StatusStrip();
            this.StatusBar = new System.Windows.Forms.ToolStripStatusLabel();
            this.toolStrip1 = new System.Windows.Forms.ToolStrip();
            this.ButtonSegment = new System.Windows.Forms.ToolStripButton();
            this.ButtonEllipse = new System.Windows.Forms.ToolStripButton();
            this.ButtonPolygone = new System.Windows.Forms.ToolStripButton();
            this.ButtonRectangle = new System.Windows.Forms.ToolStripButton();
            this.ButtonTriangle = new System.Windows.Forms.ToolStripButton();
            this.Grouper = new System.Windows.Forms.ToolStripButton();
            this.translation = new System.Windows.Forms.ToolStripButton();
            this.Homothetie = new System.Windows.Forms.ToolStripButton();
            this.buttonColor = new System.Windows.Forms.ToolStripButton();
            this.colorDialog1 = new System.Windows.Forms.ColorDialog();
            this.zoneDessin = new ProjetDotNet.DoubleBufferedPanel();
            this.menuStrip1.SuspendLayout();
            this.statusStrip.SuspendLayout();
            this.toolStrip1.SuspendLayout();
            this.SuspendLayout();
            // 
            // menuStrip1
            // 
            this.menuStrip1.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.fichierToolStripMenuItem,
            this.editionToolStripMenuItem});
            this.menuStrip1.Location = new System.Drawing.Point(0, 0);
            this.menuStrip1.Name = "menuStrip1";
            this.menuStrip1.Size = new System.Drawing.Size(586, 24);
            this.menuStrip1.TabIndex = 0;
            this.menuStrip1.Text = "menuStrip1";
            this.menuStrip1.ItemClicked += new System.Windows.Forms.ToolStripItemClickedEventHandler(this.menuStrip1_ItemClicked);
            // 
            // fichierToolStripMenuItem
            // 
            this.fichierToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.nouveauToolStripMenuItem});
            this.fichierToolStripMenuItem.Name = "fichierToolStripMenuItem";
            this.fichierToolStripMenuItem.Size = new System.Drawing.Size(54, 20);
            this.fichierToolStripMenuItem.Text = "Fichier";
            // 
            // nouveauToolStripMenuItem
            // 
            this.nouveauToolStripMenuItem.Name = "nouveauToolStripMenuItem";
            this.nouveauToolStripMenuItem.Size = new System.Drawing.Size(152, 22);
            this.nouveauToolStripMenuItem.Text = "nouveau";
            this.nouveauToolStripMenuItem.Click += new System.EventHandler(this.nouveauToolStripMenuItem_Click);
            // 
            // editionToolStripMenuItem
            // 
            this.editionToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.sauvegarderToolStripMenuItem,
            this.chrargerToolStripMenuItem});
            this.editionToolStripMenuItem.Name = "editionToolStripMenuItem";
            this.editionToolStripMenuItem.Size = new System.Drawing.Size(56, 20);
            this.editionToolStripMenuItem.Text = "Edition";
            // 
            // sauvegarderToolStripMenuItem
            // 
            this.sauvegarderToolStripMenuItem.Name = "sauvegarderToolStripMenuItem";
            this.sauvegarderToolStripMenuItem.Size = new System.Drawing.Size(139, 22);
            this.sauvegarderToolStripMenuItem.Text = "Sauvegarder";
            this.sauvegarderToolStripMenuItem.Click += new System.EventHandler(this.sauvegarderToolStripMenuItem_Click);
            // 
            // chrargerToolStripMenuItem
            // 
            this.chrargerToolStripMenuItem.Name = "chrargerToolStripMenuItem";
            this.chrargerToolStripMenuItem.Size = new System.Drawing.Size(139, 22);
            this.chrargerToolStripMenuItem.Text = "Charger";
            this.chrargerToolStripMenuItem.Click += new System.EventHandler(this.chrargerToolStripMenuItem_Click);
            // 
            // statusStrip
            // 
            this.statusStrip.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.StatusBar});
            this.statusStrip.Location = new System.Drawing.Point(0, 474);
            this.statusStrip.Name = "statusStrip";
            this.statusStrip.Size = new System.Drawing.Size(586, 22);
            this.statusStrip.TabIndex = 11;
            this.statusStrip.Text = "statusStrip1";
            this.statusStrip.ItemClicked += new System.Windows.Forms.ToolStripItemClickedEventHandler(this.statusStrip1_ItemClicked);
            // 
            // StatusBar
            // 
            this.StatusBar.Name = "StatusBar";
            this.StatusBar.Size = new System.Drawing.Size(0, 17);
            // 
            // toolStrip1
            // 
            this.toolStrip1.AutoSize = false;
            this.toolStrip1.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.ButtonSegment,
            this.ButtonEllipse,
            this.ButtonPolygone,
            this.ButtonRectangle,
            this.ButtonTriangle,
            this.Grouper,
            this.translation,
            this.Homothetie,
            this.buttonColor});
            this.toolStrip1.Location = new System.Drawing.Point(0, 24);
            this.toolStrip1.Name = "toolStrip1";
            this.toolStrip1.Size = new System.Drawing.Size(586, 39);
            this.toolStrip1.TabIndex = 12;
            this.toolStrip1.Text = "toolStrip1";
            this.toolStrip1.ItemClicked += new System.Windows.Forms.ToolStripItemClickedEventHandler(this.toolStrip1_ItemClicked);
            // 
            // ButtonSegment
            // 
            this.ButtonSegment.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
            this.ButtonSegment.Image = ((System.Drawing.Image)(resources.GetObject("ButtonSegment.Image")));
            this.ButtonSegment.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.ButtonSegment.Name = "ButtonSegment";
            this.ButtonSegment.Size = new System.Drawing.Size(23, 36);
            this.ButtonSegment.Text = "toolStripButton1";
            this.ButtonSegment.ToolTipText = "Segment";
            this.ButtonSegment.Click += new System.EventHandler(this.TSB_Segment_Click);
            // 
            // ButtonEllipse
            // 
            this.ButtonEllipse.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
            this.ButtonEllipse.Image = ((System.Drawing.Image)(resources.GetObject("ButtonEllipse.Image")));
            this.ButtonEllipse.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.ButtonEllipse.Name = "ButtonEllipse";
            this.ButtonEllipse.Size = new System.Drawing.Size(23, 36);
            this.ButtonEllipse.Text = "toolStripButton2";
            this.ButtonEllipse.ToolTipText = "Elipse";
            this.ButtonEllipse.Click += new System.EventHandler(this.TSB_Elipse_Click);
            // 
            // ButtonPolygone
            // 
            this.ButtonPolygone.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
            this.ButtonPolygone.Image = ((System.Drawing.Image)(resources.GetObject("ButtonPolygone.Image")));
            this.ButtonPolygone.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.ButtonPolygone.Name = "ButtonPolygone";
            this.ButtonPolygone.Size = new System.Drawing.Size(23, 36);
            this.ButtonPolygone.Text = "toolStripButton3";
            this.ButtonPolygone.ToolTipText = "Polygone";
            this.ButtonPolygone.Click += new System.EventHandler(this.TSB_Polygone_Click);
            // 
            // ButtonRectangle
            // 
            this.ButtonRectangle.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
            this.ButtonRectangle.Image = ((System.Drawing.Image)(resources.GetObject("ButtonRectangle.Image")));
            this.ButtonRectangle.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.ButtonRectangle.Name = "ButtonRectangle";
            this.ButtonRectangle.Size = new System.Drawing.Size(23, 36);
            this.ButtonRectangle.Text = "Rectangle";
            this.ButtonRectangle.Click += new System.EventHandler(this.TSB_Rectangle_Click);
            // 
            // ButtonTriangle
            // 
            this.ButtonTriangle.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
            this.ButtonTriangle.Image = ((System.Drawing.Image)(resources.GetObject("ButtonTriangle.Image")));
            this.ButtonTriangle.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.ButtonTriangle.Name = "ButtonTriangle";
            this.ButtonTriangle.Size = new System.Drawing.Size(23, 36);
            this.ButtonTriangle.Text = "Triangle";
            this.ButtonTriangle.Click += new System.EventHandler(this.TSB_Triangle_Click);
            // 
            // Grouper
            // 
            this.Grouper.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
            this.Grouper.Image = ((System.Drawing.Image)(resources.GetObject("Grouper.Image")));
            this.Grouper.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.Grouper.Name = "Grouper";
            this.Grouper.Size = new System.Drawing.Size(23, 36);
            this.Grouper.Text = "toolStripButton1";
            this.Grouper.ToolTipText = "Grouper ou dégrouper des formes";
            this.Grouper.Click += new System.EventHandler(this.TSB_Grouper_Click);
            // 
            // translation
            // 
            this.translation.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
            this.translation.Image = ((System.Drawing.Image)(resources.GetObject("translation.Image")));
            this.translation.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.translation.Name = "translation";
            this.translation.Size = new System.Drawing.Size(23, 36);
            this.translation.Text = "toolStripButton1";
            this.translation.ToolTipText = "Translater des formes";
            this.translation.Click += new System.EventHandler(this.TSB_Translation);
            // 
            // Homothetie
            // 
            this.Homothetie.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
            this.Homothetie.Image = ((System.Drawing.Image)(resources.GetObject("Homothetie.Image")));
            this.Homothetie.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.Homothetie.Name = "Homothetie";
            this.Homothetie.Size = new System.Drawing.Size(23, 36);
            this.Homothetie.Text = "toolStripButton1";
            this.Homothetie.Click += new System.EventHandler(this.TSB_Homothetie);
            // 
            // buttonColor
            // 
            this.buttonColor.AutoSize = false;
            this.buttonColor.BackColor = System.Drawing.SystemColors.ControlText;
            this.buttonColor.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
            this.buttonColor.ForeColor = System.Drawing.Color.CornflowerBlue;
            this.buttonColor.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.buttonColor.Name = "buttonColor";
            this.buttonColor.Size = new System.Drawing.Size(26, 26);
            this.buttonColor.Text = "Modifier la couleur";
            this.buttonColor.Click += new System.EventHandler(this.buttonColor_Clicked);
            // 
            // zoneDessin
            // 
            this.zoneDessin.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
            | System.Windows.Forms.AnchorStyles.Left) 
            | System.Windows.Forms.AnchorStyles.Right)));
            this.zoneDessin.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.zoneDessin.Cursor = System.Windows.Forms.Cursors.Cross;
            this.zoneDessin.Location = new System.Drawing.Point(12, 66);
            this.zoneDessin.Name = "zoneDessin";
            this.zoneDessin.Size = new System.Drawing.Size(562, 405);
            this.zoneDessin.TabIndex = 1;
            this.zoneDessin.MouseMove += new System.Windows.Forms.MouseEventHandler(this.display_currentForm);
            // 
            // FenetreDessin
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.AutoSize = true;
            this.ClientSize = new System.Drawing.Size(586, 496);
            this.Controls.Add(this.toolStrip1);
            this.Controls.Add(this.statusStrip);
            this.Controls.Add(this.zoneDessin);
            this.Controls.Add(this.menuStrip1);
            this.DoubleBuffered = true;
            this.MainMenuStrip = this.menuStrip1;
            this.Name = "FenetreDessin";
            this.Text = "Ultimate Paint v42";
            this.Load += new System.EventHandler(this.FenetreDessin_Load);
            this.Resize += new System.EventHandler(this.ResizeCanvas);
            this.menuStrip1.ResumeLayout(false);
            this.menuStrip1.PerformLayout();
            this.statusStrip.ResumeLayout(false);
            this.statusStrip.PerformLayout();
            this.toolStrip1.ResumeLayout(false);
            this.toolStrip1.PerformLayout();
            this.ResumeLayout(false);
            this.PerformLayout();

        }

        #endregion

        private System.Windows.Forms.MenuStrip menuStrip1;
        private System.Windows.Forms.ToolStripMenuItem fichierToolStripMenuItem;
        private System.Windows.Forms.ToolStripMenuItem nouveauToolStripMenuItem;
        private System.Windows.Forms.ToolStripMenuItem editionToolStripMenuItem;
        private System.Windows.Forms.StatusStrip statusStrip;
        private System.Windows.Forms.ToolStrip toolStrip1;
        private System.Windows.Forms.ToolStripButton ButtonSegment;
        private System.Windows.Forms.ToolStripButton ButtonEllipse;
        private System.Windows.Forms.ToolStripButton ButtonPolygone;
        private System.Windows.Forms.ToolStripButton ButtonRectangle;
        private System.Windows.Forms.ToolStripButton ButtonTriangle;
        private DoubleBufferedPanel zoneDessin;
        private System.Windows.Forms.ColorDialog colorDialog1;
        private System.Windows.Forms.ToolStripButton buttonColor;
        private System.Windows.Forms.ToolStripButton Grouper;
        private System.Windows.Forms.ToolStripButton translation;
        private System.Windows.Forms.ToolStripButton Homothetie;
        private System.Windows.Forms.ToolStripMenuItem sauvegarderToolStripMenuItem;
        private System.Windows.Forms.ToolStripMenuItem chrargerToolStripMenuItem;
        private System.Windows.Forms.ToolStripStatusLabel StatusBar;
    }
}

